# -*- coding: utf-8 -*-
from odoo.upgrade import util


def migrate(cr, version):
    if util.dbuuid(cr) != "8851207e-1ff9-11e0-a147-001cc0f2115e":
        return

    # This view is a "demo" data (beside demo data are not installed)
    # xmlid in data: openerp_website.homepage_template
    with util.edit_view(cr, view_id=2472, skip_if_not_noupdate=False) as view:
        node = view.find(".//t[@t-set='next_localized_event']")
        node.attrib["t-value"] = (
            "request.env['event.event'].sudo().search([('event_type_id', '!=', 20), ('stage_id.pipe_end', '=', False), "
            "('date_end', '>=', datetime.datetime.now().strftime('%Y-%m-%d 00:00:00')), "
            "('date_begin', '<=', (datetime.datetime.now() + relativedelta(weeks=3)).strftime('%Y-%m-%d 00:00:00')), "
            "('website_published', '=', True), ('country_id', '!=', False), "
            "('country_id.code', '=', request.session.geoip and request.session.geoip.get('country_code'))])"
        )

    # change parent of not committed views
    cr.execute(
        "UPDATE ir_ui_view SET inherit_id=%s WHERE id=13238",
        [util.ref(cr, "website.assets_frontend_user_custom")],
    )
    cr.execute(
        "UPDATE ir_ui_view SET inherit_id=%s WHERE id=13342",
        [util.ref(cr, "website._assets_frontend_helpers_user_custom")],
    )

    util.update_record_from_xml(cr, "openerp_website.contactus_form_custom_size")
